Skip to content
Start here

Download matches for logo queries by ID

client.brandProtection.logoMatches.download(LogoMatchDownloadParams { account_id, limit, logo_id, offset } params, RequestOptionsoptions?): LogoMatchDownloadResponse { matches, total }
GET/accounts/{account_id}/brand-protection/logo-matches/download

Return matches as CSV for logo queries based on ID

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel WriteIntel Read
ParametersExpand Collapse
params: LogoMatchDownloadParams { account_id, limit, logo_id, offset }
account_id: string

Path param

minLength1
limit?: string

Query param

logo_id?: Array<string>

Query param

offset?: string

Query param

ReturnsExpand Collapse
LogoMatchDownloadResponse { matches, total }
matches?: Array<Record<string, unknown>>
total?: number

Download matches for logo queries by ID

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.brandProtection.logoMatches.download({ account_id: 'x' });

console.log(response.matches);
{
  "matches": [
    {
      "foo": "bar"
    }
  ],
  "total": 0
}
Returns Examples
{
  "matches": [
    {
      "foo": "bar"
    }
  ],
  "total": 0
}